curl -X GET "https://api.cngn.co/v1/api/transactions?page=1&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch(
"https://api.cngn.co/v1/api/transactions?page=1&limit=10",
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
res = requests.get(
"https://api.cngn.co/v1/api/transactions",
params={"page": 1, "limit": 10},
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Transactions fetched successfully",
"data": {
"data": [
{
"id": "9f8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"from": "Acme Ltd",
"receiver": { "address": "0x8Ba1f109551bD432803012645Ac136ddd64DBA72" },
"amount": "25000.00",
"description": "Withdrawal to external wallet",
"createdAt": "2026-07-20T14:32:11.000Z",
"trx_ref": "WD-7f3a2b1c",
"trx_type": "withdrawal",
"network": "Base",
"asset_type": "credit_alphanum4",
"asset_symbol": "CNGN",
"base_trx_hash": "0x4a5b...e9f0",
"extl_trx_hash": null,
"explorer_link": "https://basescan.org/tx/0x4a5b...e9f0",
"status": "success"
}
],
"pagination": {
"count": 42,
"pages": 5,
"isLastPage": false,
"nextPage": 2,
"previousPage": null
}
}
}
Wallet
Get Transactions
Retrieve your paginated transaction history
GET
/
v1
/
api
/
transactions
curl -X GET "https://api.cngn.co/v1/api/transactions?page=1&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch(
"https://api.cngn.co/v1/api/transactions?page=1&limit=10",
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
res = requests.get(
"https://api.cngn.co/v1/api/transactions",
params={"page": 1, "limit": 10},
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Transactions fetched successfully",
"data": {
"data": [
{
"id": "9f8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"from": "Acme Ltd",
"receiver": { "address": "0x8Ba1f109551bD432803012645Ac136ddd64DBA72" },
"amount": "25000.00",
"description": "Withdrawal to external wallet",
"createdAt": "2026-07-20T14:32:11.000Z",
"trx_ref": "WD-7f3a2b1c",
"trx_type": "withdrawal",
"network": "Base",
"asset_type": "credit_alphanum4",
"asset_symbol": "CNGN",
"base_trx_hash": "0x4a5b...e9f0",
"extl_trx_hash": null,
"explorer_link": "https://basescan.org/tx/0x4a5b...e9f0",
"status": "success"
}
],
"pagination": {
"count": 42,
"pages": 5,
"isLastPage": false,
"nextPage": 2,
"previousPage": null
}
}
}
Returns all transactions on your business account (deposits, withdrawals, redemptions, and bridges), newest first.
Response (decrypted
Query parameters
number
default:"1"
Page number to fetch.
number
default:"10"
Number of records per page.
Response (decrypted data)
object[]
Array of transaction records.
Show Transaction object
Show Transaction object
string
Unique transaction ID.
string
Sender identifier or address.
object
Either
{ "address": "0x..." } for on-chain transfers or { "bank": "...", "accountNumber": "..." } for fiat settlement.string
Transaction amount.
string
Human-readable description.
string
ISO 8601 creation timestamp.
string
Transaction reference. Use it with Verify Withdrawal.
string
Transaction type (e.g.
deposit, withdrawal, redeem, swap).string
Network the transaction executed on.
string
Asset classification.
string
Asset ticker (
CNGN).string | null
On-chain hash on the origin network, if applicable.
string | null
On-chain hash on the external/destination network, if applicable.
string | null
Block explorer URL for the transaction.
string
Transaction status (e.g.
pending, success, failed).object
Standard pagination metadata. See Response Format.
curl -X GET "https://api.cngn.co/v1/api/transactions?page=1&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch(
"https://api.cngn.co/v1/api/transactions?page=1&limit=10",
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
res = requests.get(
"https://api.cngn.co/v1/api/transactions",
params={"page": 1, "limit": 10},
headers={"Authorization": f"Bearer {API_KEY}"},
)
{
"status": 200,
"message": "Transactions fetched successfully",
"data": {
"data": [
{
"id": "9f8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d",
"from": "Acme Ltd",
"receiver": { "address": "0x8Ba1f109551bD432803012645Ac136ddd64DBA72" },
"amount": "25000.00",
"description": "Withdrawal to external wallet",
"createdAt": "2026-07-20T14:32:11.000Z",
"trx_ref": "WD-7f3a2b1c",
"trx_type": "withdrawal",
"network": "Base",
"asset_type": "credit_alphanum4",
"asset_symbol": "CNGN",
"base_trx_hash": "0x4a5b...e9f0",
"extl_trx_hash": null,
"explorer_link": "https://basescan.org/tx/0x4a5b...e9f0",
"status": "success"
}
],
"pagination": {
"count": 42,
"pages": 5,
"isLastPage": false,
"nextPage": 2,
"previousPage": null
}
}
}
⌘I